﻿using System.Configuration;

using EPiServer.Configuration;

namespace EPiServer.Labs.MobilePack.Core
{
    [ConfigurationCollection(typeof(DeviceElement), AddItemName = "device", ClearItemsName = "clear",
        CollectionType = ConfigurationElementCollectionType.AddRemoveClearMap)]
    public class DeviceCollection : GenericConfigurationElementCollection<DeviceElement>
    {
        protected override string ElementName
        {
            get
            {
                return "device";
            }
        }

        public void Add(DeviceElement element)
        {
            this.BaseAdd(element);
        }
    }
}