﻿using System.Configuration;

using EPiServer.Configuration;

namespace EPiServer.Labs.MobilePack.Core
{
    /// <summary>
    /// Configuration element to define devices
    /// </summary>
    public class DeviceElement : ConfigurationElementBase
    {
        public DeviceElement() : base("device")
        {
        }

        [ConfigurationProperty("name", IsRequired = true)]
        public string Name
        {
            get { return (string)this["name"]; }
            set { this["name"] = value; }
        }


        [ConfigurationProperty("image", IsRequired = false)]
        public string Image
        {
            get { return (string)this["image"]; }
            set { this["image"] = value; }
        }

        [ConfigurationProperty("style", IsRequired = false)]
        public string Style
        {
            get { return (string)this["style"]; }
            set { this["style"] = value; }
        }

        [ConfigurationProperty("useragent", IsRequired = false)]
        public string UserAgent
        {
            get { return (string)this["useragent"]; }
            set { this["useragent"] = value; }
        }
    }
}