﻿<%@ Page Language="C#" AutoEventWireup="false" MasterPageFile="~/modules/MobilePack/Mobile.Master" CodeBehind="LocationItem.aspx.cs" Inherits="EPiServer.MobilePack.Templates.Location.LocationItem" %>

<%@ Register TagPrefix="EPiServer" Namespace="EPiServer.WebControls" Assembly="EPiServer" %>
<%@ Register TagPrefix="EPiServer" Namespace="EPiServer.Web.WebControls" Assembly="EPiServer" %>
<%@ Register TagPrefix="EPiServer" Namespace="EPiServer.Web.WebControls" Assembly="EPiServer.Web.WebControls" %>

<asp:Content ID="Content1" ContentPlaceHolderID="BodyContents" runat="server">

 <div data-role="page" class="mobilePage" data-theme='<%= GetSiteData()["PageTheme"] %>'>

    <div data-role="header" data-position='fixed' data-theme='<%= GetSiteData()["PageTheme"] %>' data-backbtn='true'>
           <EPiServer:Property CustomTagName="h1" PropertyName="PageName" runat="server" />
         <a href='<%= GetSiteData().LinkURL %>' data-icon="home" data-iconpos="notext" data-direction="reverse" class="ui-btn-left jqm-home">Home</a> 
 
    </div>

    <div data-role="content">
    
      <EPiServer:Property CustomTagName="h2" PropertyName="PageName" runat="server" />
      <EPiServer:Property runat="server" PropertyName="MainBody" />

      <img src="http://maps.google.com/maps/api/staticmap?size=300x200&zoom=9&maptype=roadmap&markers=color:red|label:A|<%= ClosestLocation %>&sensor=false&language=<%= CurrentPage.LanguageBranch %>" />

    </div>
 </div>

</asp:Content>