<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="MobilePage.ascx.cs" Inherits="EPiServer.Labs.MobilePack.Site.Units.MobilePage" %>


<div data-role="page" class="mobilePage" data-theme='<%= GetSiteData()["PageTheme"] %>'>
    

    <div data-role="header" data-backbtn='<%= (IsMainSitePage) ? "false" : "true" %>' data-theme='<%= GetSiteData()["PageTheme"] %>'>
        <h1><%= Src["Header"] ?? Src["PageName"] %></h1>
        <% if (!IsMainSitePage)
           { %>
        <a href='<%= GetSiteData().LinkURL %>' data-icon="home" data-iconpos="notext" data-direction="reverse" class="ui-btn-right jqm-home">Home</a> 
        <% } %>
    </div>

    <div data-role="content">
        <EPiServer:Property ID="Property1" runat="server" CssClass="bodyContent" PageLink='<%# Src.PageLink %>' PropertyName="MainBody" />
        <form id="Form1" runat="server">
        <EPiServer:Property ID="Property2" runat="server" PropertyName="Form" PageLink='<%# Src.PageLink %>' DisplayMissingMessage="false" />
        </form>
    </div>
    <div data-role="footer">
        <EPiServer:Property ID="FooterTextProp" runat="server" PageLink='<%# GetSiteData().PageLink %>' PropertyName="FooterText" />
        <div data-role="navbar">
		<EPiServer:Property ID="FooterNavigationProp" CssClass="bodyContent" PageLink='<%# GetSiteData().PageLink %>' runat="server" PropertyName="FooterNavigation" />
	    </div>
    </div>
   
 </div>