using System;
using EPiServer.Core;

namespace EPiServer.Labs.MobilePack.Site.Units
{
    public partial class MobilePage : EPiServer.UserControlBase
    {
        public PageData Src { get; set; }

        protected bool IsMainSitePage
        {
            get
            {
                return Src.PageTypeName == "[MobilePack] Mobile Site";
            }
        }


        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);
            this.DataBind();
        }


        protected PageData GetSiteData()
        {
            return (Page as MobileBase).GetSiteData();
        }
    }
}